
TYPO3.Neos - Bug # 57839

Status: Resolved Priority: Should have
Author: Carsten Bleicker Category:
Created: 2014-04-11 Assigned To:
Updated: 2014-07-06 Due date:
Subject: Removing Content Nodes does not remove Node after Publishing from Structure Panel
Description

1. Create a Text Node
2. Publish
3. Delete it (It is marked as orange in the Structure Panel)
4. Publish (Deleted Content Node still exists in Structure Panel, also not marked orange)

After Reloading the Structure Panel anything is fine again.

Associated revisions
Revision 70dbb672 - 2014-07-06 21:57 - Kai Moeller 

[BUGFIX] Structure tree contains removed nodes after removal

Removing content outside the structure tree does not remove node from
structure tree. This is due to the structure tree being reloaded before
the removal has been saved to the server. To resolve this issue a new
event 'contentSaved' has been introduced to storage.js.
The remove nodeAction listens to the first 'contentSaved' event and
triggers 'contentChanged' afterwards.

Change-Id: Ia8d404e3695ce1985416ccba0bf027d1d1d90692
Resolves: #57839
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/31046
Reviewed-by: Carsten Bleicker
Tested-by: Carsten Bleicker
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision 9997709a - 2014-07-06 21:59 - Kai Moeller 

[BUGFIX] Structure tree contains removed nodes after removal

Removing content outside the structure tree does not remove node from
structure tree. This is due to the structure tree being reloaded before
the removal has been saved to the server. To resolve this issue a new
event 'contentSaved' has been introduced to storage.js.
The remove nodeAction listens to the first 'contentSaved' event and
triggers 'contentChanged' afterwards.

Change-Id: Ia8d404e3695ce1985416ccba0bf027d1d1d90692
Resolves: #57839
https://review.typo3.org/31046


Releases: master, 1.1
Reviewed-on: https://review.typo3.org/31411
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2014-06-20 23:38 - Kai Möller

I have a change for the issue. Still wating for CLA beeing approved

#2 - 2014-06-22 12:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/31046

#3 - 2014-07-06 21:35 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/31046

#4 - 2014-07-06 21:35 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/31046

#5 - 2014-07-06 21:58 - Gerrit Code Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/31411

#6 - 2014-07-06 22:00 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Solved with https://review.typo3.org/#/c/31046/
